LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Payables

Update invoice

Updates metadata of an incoming invoice. Only `intent_id`, `notes` and `due_date` can be changed. The `intent_id` can only be set once.

PATCH /v1/invoices/:id
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Request Body
intent_id uuid optional Link journal intent (can only be set once)
notes string | null optional Free-text notes
due_date string | null optional Due date (YYYY-MM-DD)
Responses
200
Success
400
INVALID_INPUT Required fields are missing or values do not match the expected format.
400
NO_CHANGES
404
NOT_FOUND The requested resource was not found.
409
INTENT_ALREADY_SET
PATCH /v1/invoices/:id
cURL
-cmd">curl --request -method">PATCH -punct">\
  --url 'https://api.ledgerlou.de/v1/invoices/:id' -punct">\
  --header 'Authorization: Bearer ll_your_key'
200 Response
JSON
updated invoice.